commit:     bac2b41b7b9ca0b6527cc5c0e323c55fe5a955dc
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 11 10:46:13 2019 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Dec 11 15:41:47 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bac2b41b

dev-python/geventhttpclient: drop broken PyPy, skip a failing test

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/geventhttpclient/geventhttpclient-1.3.1-r1.ebuild | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/dev-python/geventhttpclient/geventhttpclient-1.3.1-r1.ebuild 
b/dev-python/geventhttpclient/geventhttpclient-1.3.1-r1.ebuild
index 82e4d70b8d4..8848ebc0073 100644
--- a/dev-python/geventhttpclient/geventhttpclient-1.3.1-r1.ebuild
+++ b/dev-python/geventhttpclient/geventhttpclient-1.3.1-r1.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-PYTHON_COMPAT=( pypy python{2_7,3_{5,6,7}} )
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
 
 inherit distutils-r1
 
@@ -39,7 +39,10 @@ python_test() {
        # Ignore tests which require network access
        # Append to sys.path to avoid ImportError
        # https://bugs.gentoo.org/667758
+       # Skip a test that fails with Python > 3.7
+       # https://github.com/gwik/geventhttpclient/issues/119
        pytest --import-mode=append -vv src/geventhttpclient/tests --ignore \
-               src/geventhttpclient/tests/test_client.py || \
-               die "Tests failed with ${EPYTHON}"
+               src/geventhttpclient/tests/test_client.py --deselect \
+               
src/geventhttpclient/tests/test_headers.py::test_cookielib_compatibility \
+               || die "Tests failed with ${EPYTHON}"
 }

Reply via email to